Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeappendchildnewchilddiffdocument Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeappendchildnewchilddiffdocument (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "appendChild(newChild)" method raises a WRONG_DOCUMENT_ERR DOMException if the "newChild" was created from a different document than the one that created this node.

Retrieve the second employee and attempt to append a node created from a different document. An attempt to make such a replacement should raise the desired exception.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NOT_FOUND_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-184E7107 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-184E7107')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NOT_FOUND_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-184E7107

Definition at line 50 of file nodeappendchildnewchilddiffdocument.java.

## Constructor & Destructor Documentation

nodeappendchildnewchilddiffdocument::nodeappendchildnewchilddiffdocument | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 52 of file nodeappendchildnewchilddiffdocument.java.
    00053  {
    00054       super(factory);
    00055
    00056    }

## Member Function Documentation

String nodeappendchildnewchilddiffdocument::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 84 of file nodeappendchildnewchilddiffdocument.java.
    00084                                 {
    00085       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeappendchildnewchilddiffdocument";
    00086    }

void nodeappendchildnewchilddiffdocument::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 87 of file nodeappendchildnewchilddiffdocument.java. References DOMTestCase::doMain().
    00087                                           {
    00088         DOMTestCase.doMain(nodeappendchildnewchilddiffdocument.class,args);
    00089    }

void nodeappendchildnewchilddiffdocument::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 58 of file nodeappendchildnewchilddiffdocument.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00058                                                     {
    00059       Document doc1;
    00060       Document doc2;
    00061       Node newChild;
    00062       NodeList elementList;
    00063       Node elementNode;
    00064       Node appendedChild;
    00065       doc1 = load("staff");
    00066       doc2 = load("staff");
    00067       newChild = doc1.createElement("newChild");
    00068       elementList = doc2.getElementsByTagName("employee");
    00069       elementNode = elementList.item(1);
    00070
    00071         {
    00072                 boolean success = false;
    00073                 try {
    00074                         appendedChild = elementNode.appendChild(newChild);
    00075
    00076                 }
    00077                 catch(DOMException ex) {
    00078                         success = (ex.code == DOMException.WRONG_DOCUMENT_ERR);
    00079                 }
    00080                 assertTrue("nodeAppendChildNewChildDiffDocumentAssert1",success);
    00081         }
    00082
    00083    }

The documentation for this class was generated from the following file:

- nodeappendchildnewchilddiffdocument.java